List Connections
get
/rpa/v1/connections
Gets a list of all Connections for a service instance.
Request
Query Parameters
-
displayName: string
Minimum Length:
1Maximum Length:50A filter to return only resources that match the entire display name given. -
lifecycleState: string
A filter that returns all resources that match the specified lifecycle state.
-
limit: integer
Minimum Value:
1Maximum Value:100The maximum number of items to return.Default Value:100 -
page: string
Minimum Length:
1A token representing the position at which to start retrieving results. This must come from the `opc-next-page` header field of a previous response. -
projectId(required): string
Project identifier
-
q: string
A filter to search resources by name, identifier, or description. The search query can be a simple string or a JSON object with operators and criteria. Example JSON format: { "operator": "AND", "criteria": [ {"name": "example"}, {"version": "1.0"} ] }
-
sortBy: string
The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.Default Value:
TIME_CREATEDAllowed Values:[ "TIME_CREATED", "DISPLAY_NAME" ] -
sortOrder: string
The sort order to use, either 'ASC' or 'DESC'.Allowed Values:
[ "ASC", "DESC" ]
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
A page of Connection Summary objects.
Headers
-
opc-next-page:
For pagination of a list of items. When paging through a list, if this header appears in the response, then a partial list might have been returned. Include this value as the `page` parameter for the subsequent GET request to get the next batch of items.
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : ConnectionCollection
Type:
objectResults of a connection list operation. Contains ConnectionSummary items.
Show Source
-
items(required): array
items
List of Connection Summary objects.
Nested Schema : items
Type:
arrayList of Connection Summary objects.
Show Source
-
Array of:
object ConnectionSummary
Summary of the Connection.
Nested Schema : ConnectionSummary
Type:
objectSummary of the Connection.
Show Source
-
connectionShapeIdentifier(required): string
Connection Shape Identifier
-
createdBy: string
Created By
-
description: string
Minimum Length:
0Maximum Length:1024Description of the Connection. -
displayName(required): string
Connection name
-
identifier(required): string
Connection identifier
-
keywords: string
Minimum Length:
0Maximum Length:1024Connection Keywords. -
lifecycleState(required): string
The current state of the Connection.
-
timeCreated: string
(date-time)
The time the Connection was created. An RFC3339 formatted datetime string.
-
timeUpdated: string
(date-time)
The time the Connection was last updated. An RFC3339 formatted datetime string
-
updatedBy: string
Updated By.
400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.